<?php
require_once("BaseDao.php");
require_once("Count.php");
require_once("CountDao.php");
require_once("Item.php");
require_once("ItemDao.php");

$count = new Count();
$count_dao = new CountDao();

session_start();
$count = $count_dao->currVal();
$_SESSION["order_no"] = $count->getMax_no();
?>

<HTML lang="ja">
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>オンラインストア：メニュー</title>

<SCRIPT TYPE="text/javascript">
<!--
//submitの二重押し対策
function disableButton(){
  document.form1.button1.disabled = true;
  submitForm();
}
function submitForm(){
  document.form1.submit();
}
// -->
</SCRIPT>
</HEAD>

<BODY TEXT="black" BGCOLOR="white">

<!-- タイトル -->
<div align="center"><font size="5"><b>メニュー　</b></font><font size="3">商品をご選択下さい</b><br></font>
</div>
<hr width="600" align="center">

<!-- フォーム開始 -->
<form action="confirm.php" method="POST" enctype="application/x-www-form-urlencoded" name="form1">

<?php
$item = new Item();
$item_dao = new ItemDao();

 //商品アイテム一覧
foreach($item_dao->getAllItem() as $item){
  //商品個数を選択するドロップダウンリストを予め作成
  $qty_list = optionList($item->getId(),$item->getQty());
  //以下在庫アイテム表示
?>

<!--商品ID <?php print htmlspecialchars($item->getId(),ENT_QUOTES); ?> -->
<table width="390" border="0" cellspacing="0" cellpadding="7" height="55" align="center">
<tr>
<td valign="top" width="40"><img src="icon.jpg" width="40" height="60" border="0"></td>
<td valign="top" width="350"><font size="2"><b><?php print htmlspecialchars($item->getName(),ENT_QUOTES); ?></b><br>
<?php print htmlspecialchars($item->getDetail(),ENT_QUOTES); ?></font><br>
<div align="right"><b>￥ <?php print htmlspecialchars($item->getPrice(),ENT_QUOTES); ?> 円/1個　　</b>
<?php print $qty_list; ?>
</div>
</td></tr>
</table>

<?php
  //在庫アイテム表示ここまで
}
$item_dao = null;
?>

<div align="center">
<input type="button" value="購　入" onClick="disableButton()" name="button1">　　<input type="reset" name="リセット">
</div>
</form>

<!-- フッター -->
<hr width="600" align="center">
<table width="600" border="0" align="center">
<tr>
<td align="right"><font size="2">＠ＩＴ LinuxSquare「今から始める MySQL入門」<br>
2007/06/25作成</font></td>
</tr>
</table>

</BODY>
</HTML>

<?php
//name属性の値に$idを指定した，最大$numまでのドロップダウンリストを作成
function optionList($id,$num){
  $id = htmlspecialchars($id,ENT_QUOTES);
  $html = "";
  if($num < 1){
    $html .= "<font color=\"red\"><b>売り切れ</b></font>";
  }else{
    $html .= "<select name=\"$id\">";
    $html .= "<option value=\"0\" selected>0</option>";
    for($i = 1;$i <= $num;$i++){
      $html .= "<option value=\"$i\">$i</option>";
    }
    $html .= "</select><b>個</b>";
  }
  return $html;
}
?>

